<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//fecha a funcao corpo(é um relatorio com cabecalho comleto,titulo,logo, corpo zebrado )

function corpo($matrizGenerica,$matrizCabecalho,$largura,$orientacao,$salto,$titulo){
 $objetocalculo=new calculos(); 
 $vetorDadosLab=$objetocalculo->dadoslaboratorio();

 $contador=sizeof($matrizGenerica);
 $limite=sizeof($matrizCabecalho)-1;
 
 $sessao = new sessao();
 $idLabo=$sessao->getVar('idLabo');
 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";	
 $pdf=new FPDF($orientacao,'mm','A4'); //parametos da pagina 
 $pdf->open();//abre o fpdf
 $pdf->SetFont('Arial','',12);
 $pdf->setDrawColor(10,10,10);
 if($orientacao=='P'):
	 $maximoLAdobe=210;//210 SE FOR HORIZONTAL E 297 SE FOR VERTICAL
	 $maximoHAdobe=295;
 else:
	 $maximoHAdobe=210;//210 SE FOR HORIZONTAL E 297 SE FOR VERTICAL
	 $maximoLAdobe=295;
 endif;
 
 $margemEsquerdaExterna=10;
 $margemEsquerda=10;
 $margemDireita=$maximoLAdobe-6;
 $larguraUtil=$maximoLAdobe-16;
 $futer=$maximoHAdobe-10;
 //$larguraUtil=$maximoLAdobe;
 $cinza=230;
 $fonte="Arial";
 $pdf->SetFillColor($cinza,$cinza,$cinza); 

$pdf->SetFont('Arial','',10);
//aqui imprime a matriz de conteudos
$controleNovaPagina=0;
for($linha=1;$linha<=$contador;$linha++):
    if($controleNovaPagina== 0):
	    $posicao1=10;
        $controleNovaPagina=1;
		$pdf->AddPage();//adicionando a primera pafina
	    $pdf->Rect($margemEsquerda,4,$larguraUtil,$futer);//
		//vai impirmir a logo
		$pdf->Image($caminhoFinal,11,5,48,23,'JPG');
		$pdf->SetFont('Arial','',10);
        //dados do laboratorio
    	$pdf->setXY(70,5);$pdf->Cell(100,5,utf8_decode($vetorDadosLab[0]),0,0,'L');//dados lab
		$pdf->setXY(70,10);$pdf->Cell(100,5,utf8_decode($vetorDadosLab[1]),0,0,'L');//dados lab
		$pdf->setXY(70,15);$pdf->Cell(100,5,utf8_decode($vetorDadosLab[2]),0,0,'L');//dados lab
		$pdf->setXY(70,20);$pdf->Cell(100,5,utf8_decode($vetorDadosLab[3]),0,0,'L');//dados lab
		$pdf->SetFont('Arial','BU',10);

		$pdf->setXY($margemEsquerda,30);$pdf->Cell(100,5,utf8_decode($titulo),0,0,'L');//natureza
		$cota1=35;
		//imprime o cabecalho
		$pdf->SetFont('Arial','',10);
		$posicao1Cols=$margemEsquerda+$largura[0];
		$pdf->setXY($posicao1Cols,$cota1);
		for($j=1;$j<=$limite;$j++):   
	       $texto=$matrizCabecalho[$j];
	       $pdf->Cell($largura[$j],5,utf8_decode($texto),1,0,"C");
		endfor;
    endif;//if que controla nova pagina 
	
	//aqui imprime as linhas do corpo
	$cota1+=5;		
	$pdf->setXY($margemEsquerda,$cota1);
     if($linha % 2 == 0 ):
	    $hachurrado=0;//para dar o salto)
     else:
	    $hachurrado=1;
	 endif;		
     for($j=0;$j<=$limite;$j++):   
	   $pdf->SetFont('Arial','',12);
	   $pdf->Cell($largura[$j],5,utf8_decode($matrizGenerica[$linha][$j]),1,0,'C',$hachurrado);//natureza
     endfor;
     if($linha % $salto == 0 )$controleNovaPagina=0;//para dar o salto
endfor;//for externo que imprime tudo
//ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

}//fecha a funcao corpo(é um relatorio com cabecalho comleto,titulo,logo, corpo zebrado )


?>
